/* $Id: xmalloc.c,v 1.1 2003/02/03 16:55:15 relson Exp $ */

/*
* NAME:
*    xmalloc.c -- front-end to standard heap manipulation routines, with error checking.
*
* AUTHOR:
*    Gyepi Sam <gyepi@praxis-sw.com>
*
*/

#include <stdlib.h>
#include "xmalloc.h"


void *
xmalloc(size_t size){
	void *x;
	x = malloc(size);
	if (x == NULL && size == 0)
	    x = malloc(1);
	if (x == NULL) {
	    xmem_error("xmalloc"); 
	}
	return x;
}

void
xfree(void *ptr){
  if (ptr) free(ptr);
}

