/* collect.h -- global definitions for the collect library, part of bogofilter */
/* $Id: collect.h,v 1.1 2003/02/03 16:55:14 relson Exp $ */

#ifndef COLLECT_H
#define COLLECT_H

#include "wordhash.h"

/* Represents the secondary data for a word key */
typedef struct {
  int freq;
} wordprop_t;

extern void wordprop_init(void *vwordprop);

extern void collect_words(/*@out@*/ wordhash_t **wh,
       /*@out@*/ /*@null@*/ long *word_count, /*@out@*/ bool *cont);

#if	0	/* 01/26/2003 - not used */
void collect_reset(void);
#endif

#endif
